# Prickly Pear Skeleton for the CMS Grav

![License](https://img.shields.io/badge/License-MIT-blue.svg) [![Join the chat at https://gitter.im/CaribThemes/grav-theme-pricklypear](https://badges.gitter.im/CaribThemes/grav-theme-pricklypear.svg)](https://gitter.im/CaribThemes/grav-theme-pricklypear?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

> **Prickly Pear** is a **FREE** simple single page responsive theme ported by [**CaribThemes**](https://github.com/CaribThemes) for the [**Grav**](http://getgrav.org) CMS and based on Fractal by HTML5up.

![PricklyPear](assets/readme_1.png)

##### Table of Contents:

* [Demo](#demo)
* [Features](#features)
* [Views](#supported-page-templates)
* [Installation](#installation)
* [Support & Bugs](#support--bugs)
* [Credits](#credits)

## Demo

See the **PricklyPear** Template live [here](http://demo.caribthemes.io/pricklypear)

## Features
* OnePage template
* Fully Responsive
* Custom collapsing menu
* HTML5 and CSS3
* Fontawesome icon support 4.5.0 (CDN) [See the list here.](http://fortawesome.github.io/Font-Awesome/icons)
* Back to top
* Contact Form - __ToDo__ (v1.1.0)

## Supported Page Templates
* <code>home.html.twig</code> view (NOTE: if you use a Grav starter kit, please change the <code>default.md</code> file in ~user/pages/01.home to <code>modular.md</code>)
* <code>error.html.twig</code> view -

## Installation

### Basic Setup for a new Grav site

The simplest way to install Prickly Pear theme for Grav is to download and install the Prickly Pear Skeleton package:

* Download [Prickly Pear Skeleton](http://getgrav.org/downloads/skeletons#extras)
* Simply unzip the package into your web root folder.
* Point your browser at the folder, job done!

> TIP: Check out the general [Grav installation instructions](http://learn.getgrav.org/basics/installation) for more details on this process.

### Existing Grav site

It is possible to install just the theme, but page content will need to reference the Prickly Pear theme's supported templates. It is strongly advised to at least install the Prickly Pear Skeleton package to see the theme's capabilities in action.

To install **just** the theme:

<code>$ bin/gpm install pricklypear</code>

>> NOTE: This theme is a modular component for Grav which requires the [Grav](http://github.com/getgrav/grav), [Error](https://github.com/getgrav/grav-theme-error) and [Problems](https://github.com/getgrav/grav-plugin-problems) plugins.

<!--#### Contact Form Configuration
For contact form configuration instructions please refer to [official documentation](http://learn.getgrav.org/advanced/contact-form). Make sure you installed Email and Form plugin though.-->

## Support & Bugs
* If you need a support please go to the dedicated [![Join the chat at https://gitter.im/CaribThemes/grav-theme-pricklypear](https://badges.gitter.im/CaribThemes/grav-theme-pricklypear.svg)](https://gitter.im/CaribThemes/grav-theme-pricklypear?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
* If you find bugs, please report them on [here](https://github.com/CaribThemes/grav-theme-pricklypear/issues)

## Credits
* [Grav](http://getgrav.org) by [RocketTheme](http://www.rockettheme.com). Licensed under [MIT](https://github.com/CaribThemes/grav-theme-pricklypear/master/LICENSE.md)
* Photos by MATsxm for [IDIM<em>web</em>.com](http://idimweb.com). Licensed under __WTFPL__ (see LICENSE)
* Inspired by the template Fractal by [HTML5 up](http://html5up.net/)
* [Back To Top](https://github.com/CodyHouse/back-to-top) feature by [CodyHouse](https://github.com/CodyHouse)

>> __DISCLAIMER__

>>Note that @Sandra97 has never been involved in the CSS excepted for having killed few _!important;_ :stuck_out_tongue:

[CaribThemes](https://caribthemes.io) free web ressources is proudly brought to you by [IDIM<em>web</em>.com](http://idimweb.com)
